<header title="{{videotitle}}"></header>
<ion-content>
  <ion-grid style="height: 100%">

    <div class="ion-text-center" style="height: 300px;">
      <video id="video1" #video1 src="{{videourl}}" playsinline
        (timeupdate)="setCurrentTime($event,video1)" (loadedmetadata)="onMetadata($event, video1)">
      </video>
      <!-- <video id="video1" #video1 src="{{video_link}}" (click)="hideShow()"
      (loadedmetadata)="onMetadata($event, video1)"
      (timeupdate)="setCurrentTime($event, video1)"
        playsinline poster="{{videoimage}}">

      </video> -->
      <ion-row class="pos_play_btn ion-align-items-center ion-justify-content-center">
        <ion-col size="4">
        </ion-col>
        <ion-col size="4" class="text-center">
          <img id="btnPlay" *ngIf="btnPlay" value="Play" (click)="PlayNow(video1)" src="assets/icon/play.svg">
          <img id="btnPause" *ngIf="btnPause" value="Pause" (click)="PauseNow(video1)" src="assets/icon/pause.svg">
        </ion-col>
        <ion-col size="4" class="text-center">
        </ion-col>
      </ion-row>
      <ion-toolbar class="ion_toolbar_time_seekbar">
        <ion-row>
          <ion-col size="3">
            <div class="time-display-content cbox" aria-label="">
              <span class="time-first" aria-label="Time elapsed0:01" role="text" id="lblTime">00:00</span>
              <span class="time-delimiter" aria-hidden="true">/</span>
              <span class="time-second" aria-label="Time duration4:53" id="lblTime2" role="text">00:00</span>
            </div>
          </ion-col>
          <ion-col size="7" class="text-center">
            <input type="range" step="any" id="seekbar" onchange="ChangeTheTime()">
          </ion-col>
          <ion-col size="2" class="text-center">
          </ion-col>
        </ion-row>
      </ion-toolbar>
    </div>
    <h2 class="ion-padding-horizontal">
      Step 2: Supporting Class Dcuments
    </h2>
    <ion-row class="ion-padding-horizontal">
      <ion-col size="12">
        <ion-button expand="full" [disabled]="pdf">
          <ion-icon slot="start" src="assets/icon/pdf.svg"></ion-icon>Print Materials
        </ion-button>
      </ion-col>
      <ion-col size="12">
        <ion-input placeholder="Entry one (Fill in)"></ion-input>
      </ion-col>
      <ion-col size="12">
        <ion-input placeholder="Entry two (Fill in)"></ion-input>
      </ion-col>
      <ion-col size="12">
        <ion-textarea rows="6" cols="20" placeholder="Entry Three (Fill in)"></ion-textarea>
      </ion-col>
    </ion-row>
    <h2 class="ion-padding-horizontal">
      Step 3: Quiz
    </h2>
    <ion-row class="ion-padding-horizontal ion-margin-bottom">
      <ion-col size="12">
        <ion-button class="quiz_button" expand="full" [disabled]="take_quiz" >
          Take quiz now
        </ion-button>
      </ion-col>
    </ion-row>
  </ion-grid>

</ion-content>